Skip to content

Get Budget

GET /budgets/{workspace_id}
NameInTypeNotes
workspace_idpathstring (uuid)required—
periodquerymonth | dayoptionalDefault "month".
StatusDescriptionBody
200Successful ResponseBudgetView
422Validation ErrorHTTPValidationError
Terminal window
curl -X GET https://your-deployment.example.com/budgets/{workspace_id} \
-H "Authorization: Bearer $COBRE_TOKEN"
FieldTypeNotes
workspace_idstring (uuid)required—
periodmonth | dayrequired—
limit_amountstring | nulloptional—
currencystringoptionalDefault "USD".
is_enforcedbooleanoptionalDefault false.
alert_threshold_pctintegeroptionalDefault 80.
period_startstring (date)required—